Skip to main content
POST
/
api2
/
v1
/
projects
/
{projectUid}
/
jobs
/
source
Update source
curl --request POST \
  --url https://cloud.memsource.com/web/api2/v1/projects/{projectUid}/jobs/source \
  --header 'Authorization: <api-key>' \
  --header 'Content-Disposition: <content-disposition>' \
  --header 'Content-Type: application/octet-stream' \
  --data '{}'
{
  "asyncRequest": {
    "id": "<string>",
    "dateCreated": "2023-11-07T05:31:56Z",
    "action": "PRE_ANALYSE"
  },
  "jobs": [
    {
      "uid": "<string>",
      "status": "NEW",
      "targetLang": "<string>",
      "filename": "<string>",
      "workflowLevel": 123,
      "workflowStep": {
        "name": "<string>",
        "uid": "<string>",
        "id": "<string>",
        "order": 123,
        "lqaEnabled": true
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.phrase.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Get a token from auth/login endpoint and then pass it in the Authorization HTTP header in every subsequent API call. For more information visit our help center.

Headers

Memsource
string<application/json>
Content-Disposition
string
required

must match pattern ((inline|attachment); )?(filename\*=UTF-8''(.+)|filename="?(.+)"?)

Path Parameters

projectUid
string
required

Body

application/octet-stream

The body is of type object.

Response

Updated

asyncRequest
object
jobs
object[]